# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'schoolkeep/version'

Gem::Specification.new do |spec|
  spec.name          = "northpass"
  spec.version       = Schoolkeep::VERSION
  spec.authors       = ["Ryan Ong", "SchoolKeep Developers"]
  spec.email         = ["ryan@northpass.com", "dev@northpass.com"]
  spec.summary       = %q{A cli to develop custom templates for and upload to SchoolKeep.}
  spec.homepage      = "https://github.com/SchoolKeep/schoolkeep-ruby"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.19.0"
  spec.add_dependency "faraday", "~> 0.9"
  spec.add_dependency "scribble"
  spec.add_dependency "i18n"

  spec.add_development_dependency "bundler", "~> 1.7"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.1.0"
  spec.add_development_dependency "activesupport"
end
