require "schoolkeep/views/color_scheme"

module Schoolkeep
  module Views
    RSpec.describe ColorScheme do
      describe "#render" do
        it "renders color scheme properly" do
          color_scheme = Fixture.for("styles.css.sktl")[:color_palette]
          color_scheme_css = ColorScheme.new("color_scheme").render
          expect(color_scheme_css).to include color_scheme.button_color
        end
      end
    end
  end
end
